#!/bin/env bash
CONVERT_PLAYBOOK='http://file.brq.redhat.com/~mcornea/tripleo/osp13/ceph/puppet-ceph-ansible-convert.yaml'
CONVERT_TEMPLATE='http://file.brq.redhat.com/~mcornea/tripleo/osp13/ceph/cephosd.yaml.j2'
LOCAL_DIR=$PWD
ENV_FILE=$1

if [ -z "$ENV_FILE" ]; then
    echo "Please provide the puppet-ceph parameters environment file location as first argument"
    exit 1
else
    TEMP_DIR=$(mktemp -p /tmp -d ceph-convert-XXXXXXX)
    curl --silent -o $TEMP_DIR/puppet-ceph-ansible-convert.yaml $CONVERT_PLAYBOOK
    mkdir $TEMP_DIR/templates/
    curl --silent -o $TEMP_DIR/templates/cephosd.yaml.j2 $CONVERT_TEMPLATE
    pushd $TEMP_DIR
    if [[ "${ENV_FILE:0:1}" = "/" ]]; then
       ansible-playbook puppet-ceph-ansible-convert.yaml -e ceph_env=$ENV_FILE
    else
       ansible-playbook puppet-ceph-ansible-convert.yaml -e ceph_env=$LOCAL_DIR/$ENV_FILE
    fi
    popd
    echo "Removed puppet-ceph parameters from $1. Original file saved in /home/stack/pre_upgrade_ceph_osd_hieradata_env.yaml"
    echo "Generated environment file containing ceph-ansible parameters in /home/stack/ceph-ansible-env.yaml"
    rm -rf $TEMP_DIR
fi
